# Class DatabricksThreadContextHolder

java.lang.Object
com.databricks.jdbc.common.util.DatabricksThreadContextHolder

public class DatabricksThreadContextHolder extends Object

## Constructor Summary

Constructors
Constructor
Description
`DatabricksThreadContextHolder()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clearAllContext()`
`static void`
`clearConnectionContext()`
`static void`
`clearStatementInfo()`
`static IDatabricksConnectionContext`
`getConnectionContext()`
`static Integer`
`getRetryCount()`
`static String`
`getSessionId()`
`static String`
`getStatementId()`
`static StatementType`
`getStatementType()`
`static void`
`setConnectionContext(IDatabricksConnectionContext context)`
`static void`
`setRetryCount(Integer retryCount)`
`static void`
`setSessionId(String sessionId)`
`static void`
`setStatementId(StatementId statementId)`
`static void`
`setStatementId(String statementId)`
`static void`
`setStatementType(StatementType statementType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabricksThreadContextHolder

public DatabricksThreadContextHolder()

## Method Details

### setConnectionContext

public static void setConnectionContext(IDatabricksConnectionContext context)

### getConnectionContext

public static IDatabricksConnectionContext getConnectionContext()

### setStatementId

public static void setStatementId(StatementId statementId)

### setStatementId

public static void setStatementId(String statementId)

### getStatementId

public static String getStatementId()

### setSessionId

public static void setSessionId(String sessionId)

### getSessionId

public static String getSessionId()

### setStatementType

public static void setStatementType(StatementType statementType)

### getRetryCount

public static Integer getRetryCount()

### setRetryCount

public static void setRetryCount(Integer retryCount)

### getStatementType

public static StatementType getStatementType()

### clearConnectionContext

public static void clearConnectionContext()

### clearStatementInfo

public static void clearStatementInfo()

### clearAllContext

public static void clearAllContext()